Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596099 - gnome keyring password does not change when user password changes.
Summary: gnome keyring password does not change when user password changes.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdm
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: jmccann
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 10:17 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-01-14 23:25 UTC (History)
10 users (show)

Fixed In Version: gdm-2.30.2-8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 20:27:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
tar of all files in pam.d (deleted)
2010-05-28 08:57 UTC, Huzaifa S. Sidhpurwala
no flags Details

Description Huzaifa S. Sidhpurwala 2010-05-26 10:17:08 UTC
1. Install RHEL6 
2. Create a users and set the password to be changed on the first time using
/usr/bin/chage -d 0 ${user}

3. Login and change the password.
4. gnome-keyring still unlocks with the old password.

[huzaifas@huzaifas ~]$ rpm -q gnome-keyring
gnome-keyring-2.28.2-5.el6.x86_64

[huzaifas@huzaifas ~]$ uname -r
2.6.32-25.el6.x86_64

Comment 2 Bill Nottingham 2010-05-26 20:54:09 UTC
Can you attach your /etc/pam.d files?

Comment 3 Huzaifa S. Sidhpurwala 2010-05-28 08:57:04 UTC
Created attachment 417524 [details]
tar of all files in pam.d

Comment 4 Christopher Aillon 2010-06-05 00:01:54 UTC
Hm, without really knowing much about the code, my guess this is because chage is writing as root to /etc/shadow.

From http://live.gnome.org/GnomeKeyring/Pam

   # If root changes the password, or /etc/shadow is directly edited [...],
     the 'login' keyring cannot be updated.

Comment 5 Matthias Clasen 2010-06-07 13:21:57 UTC
Which pam stack is used for changing the password at login in this situation ? 
It needs to have the pam-gnome-keyring module in it. 

It may be that we need to add

-password   optional‣‧‧‧pam_gnome_keyring.so use_authtok

to password-auth (or maybe just to gdm-password) ?

Comment 6 Ray Strode [halfline] 2010-06-07 14:33:30 UTC
yup sounds right.

My gut says we want this in password-auth and system-auth not gdm-password because we want to catch people who happen to log into a tty first, as well.

Moving to authconfig.  I'll trust Tomas's judgement on this one though.  If he thinks this belongs in gdm I'll fix it there.

Comment 7 Tomas Mraz 2010-06-07 14:57:44 UTC
Both choices have its pros and cons:

Putting it into password-auth and system-auth means that it will be called for all pamified services that handle the expired password change. However I strongly suspect that for most of them it will not work due to the missing rules in the SELinux policy and it will just generate AVCs. So I am not sure this is appropriate change for RHEL-6.

If the module is put just to the gdm configuration files it of course means that it will not be called if someone logs in on the text console. On the other hand as the gnome-keyring is supposed to be used especially in the Gnome GUI, I do not think this would be too serious defect.

Comment 8 Ray Strode [halfline] 2010-06-07 22:04:15 UTC
fair enough.  changing in gdm seems like the conservative choice given the selinux implications.

Comment 11 Matthias Clasen 2010-06-11 14:16:41 UTC
Its on Rays list.

Comment 12 Lubos Kocman 2010-06-17 13:49:38 UTC
Verified on gdm-2.30.2-8.el6.i686, gdm-2.30.2-8.el6.x86_64


Seems ok to me

Comment 13 Lubos Kocman 2010-07-08 12:45:28 UTC
Taking back previous verification

gnome-keyring works with old password:

gdm-2.30.4-2.el6.x86_64

Comment 14 Ray Strode [halfline] 2010-07-08 13:44:19 UTC
If gnome-keyring works with the old password AND the new password, that's not a problem in this bug fix.  That means there may be an additional bug in gnome-keyring which should be filed, investigated and tracked separately.

Comment 15 Lubos Kocman 2010-07-09 09:55:13 UTC
Hi Ray,

sounds reasonable to me. Moving back to verified.

Verified on: 

gdm-2.30.4-2.el6
gdm-2.30.4-5.el6

Comment 16 releng-rhel@redhat.com 2010-11-10 20:27:43 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.